summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorLars Wendler <polynomial-c@gentoo.org>2018-06-25 15:23:31 +0200
committerLars Wendler <polynomial-c@gentoo.org>2018-06-25 15:23:45 +0200
commit3f8084c90b78f2a067ab50bc7d922994f2597b3c (patch)
tree7923c6db796e487306691c78d12f3b2a2f4b71c4 /dev-games
parentsys-block/fio: bump to v3.7 (diff)
downloadgentoo-3f8084c90b78f2a067ab50bc7d922994f2597b3c.tar.gz
gentoo-3f8084c90b78f2a067ab50bc7d922994f2597b3c.tar.bz2
gentoo-3f8084c90b78f2a067ab50bc7d922994f2597b3c.zip
dev-games/clanlib: Replaced freetype-config with pkg-config
Bug: https://bugs.gentoo.org/658424 Package-Manager: Portage-2.3.40, Repoman-2.3.9
Diffstat (limited to 'dev-games')
-rw-r--r--dev-games/clanlib/clanlib-4.0.0.ebuild25
-rw-r--r--dev-games/clanlib/files/clanlib-4.0.0-freetype_pkgconfig.patch27
2 files changed, 41 insertions, 11 deletions
diff --git a/dev-games/clanlib/clanlib-4.0.0.ebuild b/dev-games/clanlib/clanlib-4.0.0.ebuild
index 310134a70f4..cc7115a3834 100644
--- a/dev-games/clanlib/clanlib-4.0.0.ebuild
+++ b/dev-games/clanlib/clanlib-4.0.0.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2017 Gentoo Foundation
+# Copyright 1999-2018 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
@@ -37,10 +37,11 @@ DEPEND="${RDEPEND}
media-gfx/graphviz
)"
-S=${WORKDIR}/${MY_PN}-${PV}
+S="${WORKDIR}/${MY_PN}-${PV}"
PATCHES=(
"${FILESDIR}"/${PN}-4.0.0-fix-build-system.patch
+ "${FILESDIR}"/${PN}-4.0.0-freetype_pkgconfig.patch #658424
)
src_prepare() {
@@ -49,15 +50,17 @@ src_prepare() {
}
src_configure() {
- econf \
- $(use_enable doc docs) \
- $(use_enable cpu_flags_x86_sse2 sse2) \
- $(use_enable opengl clanGL) \
- $(use_enable opengl clanUI) \
- $(use_enable X clanDisplay) \
- $(use_enable sound clanSound) \
- $(use_enable ipv6 getaddr) \
+ local myeconfargs=(
+ $(use_enable doc docs)
+ $(use_enable cpu_flags_x86_sse2 sse2)
+ $(use_enable opengl clanGL)
+ $(use_enable opengl clanUI)
+ $(use_enable X clanDisplay)
+ $(use_enable sound clanSound)
+ $(use_enable ipv6 getaddr)
$(use_enable static-libs static)
+ )
+ econf "${myeconfargs[@]}"
}
src_compile() {
@@ -72,5 +75,5 @@ src_install() {
use examples && dodoc -r Examples Resources
# package provides .pc files
- find "${D}" -name '*.la' -delete || die
+ find "${ED}" -name '*.la' -delete || die
}
diff --git a/dev-games/clanlib/files/clanlib-4.0.0-freetype_pkgconfig.patch b/dev-games/clanlib/files/clanlib-4.0.0-freetype_pkgconfig.patch
new file mode 100644
index 00000000000..34759a8d89d
--- /dev/null
+++ b/dev-games/clanlib/files/clanlib-4.0.0-freetype_pkgconfig.patch
@@ -0,0 +1,27 @@
+From af16d8a344b9bafc9131508fecfcdbfdc53cf100 Mon Sep 17 00:00:00 2001
+From: Lars Wendler <polynomial-c@gentoo.org>
+Date: Mon, 25 Jun 2018 15:14:31 +0200
+Subject: [PATCH] Use pkg-config to find freetype.
+
+As of freetype-2.9.1 the freetype-config file no longer gets installed
+by default.
+---
+ configure.ac | 2 +-
+ 1 file changed, 1 insertion(+), 1 deletion(-)
+
+diff --git a/configure.ac b/configure.ac
+index 6b9def916..c97e959f7 100644
+--- a/configure.ac
++++ b/configure.ac
+@@ -307,7 +307,7 @@ echo ""
+ if test "$enable_clanDisplay" != "no"; then
+ echo "Checking for clanDisplay stuff"
+ echo "=============================="
+- CLANLIB_CHECK_LIB(ttf, [`cat $srcdir/Setup/Unix/Tests/ttf.cpp`], clanDisplay, [ *** Cannot find ttf (freetype) (See http://freetype.sourceforge.net ) (Try libfreetype6-dev or better) ], [`freetype-config --libs` ], [ `freetype-config --cflags`])
++ CLANLIB_CHECK_LIB(ttf, [`cat $srcdir/Setup/Unix/Tests/ttf.cpp`], clanDisplay, [ *** Cannot find ttf (freetype) (See http://freetype.sourceforge.net ) (Try libfreetype6-dev or better) ], [`pkg-config --libs freetype2` ], [ `pkg-config --cflags freetype2`])
+
+ dnl Optional linux/joystick.h
+ AC_CHECK_HEADERS(linux/joystick.h, has_linux_joystick=yes)
+--
+2.18.0
+